ELF_RAWFILE(3) | Library Functions Manual | ELF_RAWFILE(3)

# NAME

`elf_rawfile` —
return uninterpreted contents of an ELF file

# LIBRARY

ELF Access Library (libelf, -lelf)

# SYNOPSIS

`#include <libelf.h>`

char *
`elf_rawfile`(Elf *elf, size_t *sz);

# DESCRIPTION

Function `elf_rawfile`() returns the uninterpreted contents of the file referenced by ELF descriptor elf.

If argument sz is non-null, the function stores the file's size in bytes in the location to which it points. A value of zero is written to this location if an error is encountered.

# RETURN VALUES

Function `elf_rawfile`() returns a valid pointer if successful or NULL if an error occurs.

# ERRORS

Function `elf_rawfile`() may fail with the following errors:

[`ELF_E_ARGUMENT`]
  Argument elf was NULL.
[`ELF_E_SEQUENCE`]
  Argument elf was opened for writing and function `elf_rawfile`() was invoked before elf_update(3).

# SEE ALSO

elf(3), elf_getdata(3), elf_getident(3), elf_kind(3), elf_update(3)

July 3, 2006 | NetBSD 9.5